Package com.independentsoft.office.odf.forms

# Enum Class FormPropertyValueType

java.lang.Object
java.lang.Enum<FormPropertyValueType>
com.independentsoft.office.odf.forms.FormPropertyValueType

All Implemented Interfaces:
  `Serializable`, `Comparable<FormPropertyValueType>`, `Constable`

public enum FormPropertyValueType extends Enum<FormPropertyValueType>
Represents the value-type of a form property.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOLEAN`
  True or false.
  `CURRENCY`
  Numeric value and currency symbol.
  `DATE`
  Date value, or date and time value.
  `FLOAT`
  Numeric value.
  `NONE`
  None
  `PERCENTAGE`
  Numeric value.
  `STRING`
  Strings.
  `TIME`
  Duration.
  `VOID`
  Absence of the attribute.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FormPropertyValueType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FormPropertyValueType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FLOAT

    public static final FormPropertyValueType FLOAT
    Numeric value.

  - ### PERCENTAGE

    public static final FormPropertyValueType PERCENTAGE
    Numeric value.

  - ### CURRENCY

    public static final FormPropertyValueType CURRENCY
    Numeric value and currency symbol.

  - ### DATE

    public static final FormPropertyValueType DATE
    Date value, or date and time value.

  - ### TIME

    public static final FormPropertyValueType TIME
    Duration.

  - ### BOOLEAN

    public static final FormPropertyValueType BOOLEAN
    True or false.

  - ### STRING

    public static final FormPropertyValueType STRING
    Strings.

  - ### VOID

    public static final FormPropertyValueType VOID
    Absence of the attribute.

  - ### NONE

    public static final FormPropertyValueType NONE
    None

- ## Method Details

  - ### values

    public static FormPropertyValueType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FormPropertyValueType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null